%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} == 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		libnk2
Version:	20181101
Release:	2%{?dist}
Summary:	Library to access the Nickfile (NK2) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libnk2/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libnk2 is a library to access the Nickfile (NK2) format

%package devel
Summary: Header files and libraries for developing applications for libnk2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libnk2.

%package tools
Summary: Several tools for reading Nickfiles (NK2)
Group: Applications/System
Requires: %{name} = %{version}-%{release} 

%description tools
Several tools for reading Nickfiles (NK2)

%package python2
Summary: Python 2 bindings for libnk2
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libnk2

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for libnk2
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3
%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

%description python3
Python 3 bindings for libnk2
%endif

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/nk2export
%attr(755,root,root) %{_bindir}/nk2info
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-2
* Release 20181101-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Thu Nov  1 2018 Joachim Metz <joachim.metz@gmail.com> 20181101-1
* Release 20181101-1
	Version from 20181101.

* Tue May  8 2018 Joachim Metz <joachim.metz@gmail.com> 20180508-1
* Release 2018508-1
	Version from 20180508.

* Thu Jul  6 2017 Joachim Metz <joachim.metz@gmail.com> 20170605-1
- Auto-generated

